package com.eactive.eai.rms.onl.manage.rule.transform;

import com.eactive.eai.rms.common.datasource.DataSourceContextHolder;
import com.eactive.eai.rms.onl.vo.AbstractPagingSupportVo;
import com.eactive.eai.rms.onl.vo.PersistentVo;

/**
 * The Class TransformVo.
 * <ul>
 * <li>1. Function :</li>
 * <li>2. Summary :</li>
 * <li>3. Notification :</li>
 * </ul>
 * 
 */
public class TransformVo extends AbstractPagingSupportVo implements
        PersistentVo {
    public static final String TARGET_LAYOUT = "TGT_LAYOUT";
    public static final String SOURCE_LAYOUT = "SRC_LAYOUT";
    
	String cnvsnName ;
	String cnvsnDesc;
	String layoutType;
	String loutName;
	String sourcRsultDstcd;
	String cnvsnRsultItemPathName;
	String cnvsnCmdName;
	String cnvsnItemBascVal;
	int cnvsnItemSerno;
	String loutItemName;
	String loutItemDesc;
	int loutItemSerno;
	int loutItemNodePtrnIDName;
	int loutItemPtrnIDName;
	String loutItemRefInfo;
	String loutItemRefInfo2;
	String eaiSvcName;
	String eaiSvcDesc;
	String eaiBzwkDstcd;
	String cnvsnType;
	int svcPrcssNo;
	String svcPrcssNoStr; // DB 쿼리할때 결과가 null 인경우 에러를 방지하기 위한 변수
	int refMsgIDNo;
	String refMsgIDNoStr; // DB 쿼리할때 결과가 null 인경우 에러를 방지하기 위한 변수
	String refMsgIDName;
    String chngEonot = "0";
    String sortColumn;
    int level;
    int parntLoutItemIDName;
    int loutItemIDName;
    String loutItemPath;
    int loutItemLenCnt;
    int loutItemMinOccurNoitm;
    int loutItemMaxOccurNoitm;
    
    // 배열최대갯수 ( 고정=숫자, 가변=* )
    // 항목편집 구분코드가 배열,그룹 모두 2202로 구분되지 않으므로 
    // 배열판정을 위해 추가함 ( 배열 = 항목편집구분코드가 2202 이면서 배열최대갯수 필드에 값이 존재하는 경우
    String loutItemOccurPtrnDstcd;

    // 인터페이스 사용유형 ( SYNC / ASYN )
    String svcMotivUseDstcd;
    
    // 수동인터페이스 유형 ( SYNC / ASYN )
    String PsvIntfacDsticName;
    
    String lastAmndHMS; // 수정일자
    
    String searchBizCode ; // 업무구분코드로 검색할때 사용
    String searchEAISvcName ; // 업무구분코드로 검색할때 사용

    String createBy = "";
    String updateBy = "";
    
    String createName = "";
    String updateName = "";
    
    
    
    public String getCreateBy() {
    	return createBy;
    }

    public String getUpdateBy() {
    	return updateBy;
    }
    
    public void setCreateBy(String createBy) {
    	this.createBy = createBy;
    }
    
    public void setUpdateBy(String updateBy) {
    	this.updateBy = updateBy;
    }
	public String getSearchEAISvcName() {
		return searchEAISvcName;
	}

	public void setSearchEAISvcName(String searchEAISvcName) {
		this.searchEAISvcName = searchEAISvcName;
	}

	/**
     * @return the searchBizCode
     */
    public String getSearchBizCode() {
        return searchBizCode;
    }

    /**
     * @param searchBizCode the searchBizCode to set
     */
    public void setSearchBizCode(String searchBizCode) {
        this.searchBizCode = searchBizCode;
    }

    /**
     * @return the lastAmndHMS
     */
    public String getLastAmndHMS() {
        return lastAmndHMS;
    }

    /**
     * @param lastAmndHMS the lastAmndHMS to set
     */
    public void setLastAmndHMS(String lastAmndHMS) {
        this.lastAmndHMS = lastAmndHMS;
    }

    /**
     * @return the psvIntfacDsticName
     */
    public String getPsvIntfacDsticName() {
        return PsvIntfacDsticName;
    }

    /**
     * @param psvIntfacDsticName the psvIntfacDsticName to set
     */
    public void setPsvIntfacDsticName(String psvIntfacDsticName) {
        PsvIntfacDsticName = psvIntfacDsticName;
    }

    /**
     * @return the svcMotivUseDstcd
     */
    public String getSvcMotivUseDstcd() {
        return svcMotivUseDstcd;
    }

    /**
     * @param svcMotivUseDstcd the svcMotivUseDstcd to set
     */
    public void setSvcMotivUseDstcd(String svcMotivUseDstcd) {
        this.svcMotivUseDstcd = svcMotivUseDstcd;
    }

    /**
     * @return the loutItemOccurPtrnDstcd
     */
    public String getLoutItemOccurPtrnDstcd() {
        return loutItemOccurPtrnDstcd;
    }

    /**
     * @param loutItemOccurPtrnDstcd the loutItemOccurPtrnDstcd to set
     */
    public void setLoutItemOccurPtrnDstcd(String loutItemOccurPtrnDstcd) {
        this.loutItemOccurPtrnDstcd = loutItemOccurPtrnDstcd;
    }

    public int getLoutItemLenCnt() {
		return loutItemLenCnt;
	}

	public void setLoutItemLenCnt(int loutItemLenCnt) {
		this.loutItemLenCnt = loutItemLenCnt;
	}

	public String getLoutItemPath() {
		return loutItemPath;
	}

	public void setLoutItemPath(String loutItemPath) {
		this.loutItemPath = loutItemPath;
	}

	public int getLoutItemIDName() {
		return loutItemIDName;
	}

	public void setLoutItemIDName(int loutItemIDName) {
		this.loutItemIDName = loutItemIDName;
	}

	public int getParntLoutItemIDName() {
		return parntLoutItemIDName;
	}

	public void setParntLoutItemIDName(int parntLoutItemIDName) {
		this.parntLoutItemIDName = parntLoutItemIDName;
	}

	public int getLevel() {
		return level;
	}

	public void setLevel(int level) {
		this.level = level;
	}

	public String getSortColumn() {
		return sortColumn;
	}

	public void setSortColumn(String sortColumn) {
		this.sortColumn = sortColumn;
	}

	public String getChngEonot() {
		return chngEonot;
	}

	public void setChngEonot(String chngEonot) {
		this.chngEonot = chngEonot;
	}

	public String getEaiSvcDesc() {
		return eaiSvcDesc;
	}

	public void setEaiSvcDesc(String eaiSvcDesc) {
		this.eaiSvcDesc = eaiSvcDesc;
	}

	public int getSvcPrcssNo() {
		return svcPrcssNo;
	}

	public void setSvcPrcssNo(int svcPrcssNo) {
		this.svcPrcssNo = svcPrcssNo;
	}

    public String getSvcPrcssNoStr() {
        return svcPrcssNoStr;
    }

    public void setSvcPrcssNoStr(String svcPrcssNoStr) {
        this.svcPrcssNoStr = svcPrcssNoStr;
    }
	
	public int getRefMsgIDNo() {
		return refMsgIDNo;
	}

	public void setRefMsgIDNo(int refMsgIDNo) {
		this.refMsgIDNo = refMsgIDNo;
	}

	public String getRefMsgIDName() {
		return refMsgIDName;
	}

	public void setRefMsgIDName(String refMsgIDName) {
		this.refMsgIDName = refMsgIDName;
	}

	public String getCnvsnType() {
		return cnvsnType;
	}

	public void setCnvsnType(String cnvsnType) {
		this.cnvsnType = cnvsnType;
	}

	public String getEaiSvcName() {
		return eaiSvcName;
	}

	public void setEaiSvcName(String eaiSvcName) {
		this.eaiSvcName = eaiSvcName;
	}

	public String getLoutItemRefInfo() {
		return loutItemRefInfo;
	}

	public void setLoutItemRefInfo(String loutItemRefInfo) {
		this.loutItemRefInfo = loutItemRefInfo;
	}

	public String getLoutItemRefInfo2() {
		return loutItemRefInfo2;
	}

	public void setLoutItemRefInfo2(String loutItemRefInfo2) {
		this.loutItemRefInfo2 = loutItemRefInfo2;
	}

	public String getLoutItemName() {
		return loutItemName;
	}

	public void setLoutItemName(String loutItemName) {
		this.loutItemName = loutItemName;
	}
	
    public String getLoutItemDesc() {
        return loutItemDesc;
    }

    public void setLoutItemDesc(String loutItemDesc) {
        this.loutItemDesc = loutItemDesc;
    }
	

	public int getLoutItemSerno() {
		return loutItemSerno;
	}

	public void setLoutItemSerno(int loutItemSerno) {
		this.loutItemSerno = loutItemSerno;
	}

	public int getLoutItemNodePtrnIDName() {
		return loutItemNodePtrnIDName;
	}

	public void setLoutItemNodePtrnIDName(int loutItemNodePtrnIDName) {
		this.loutItemNodePtrnIDName = loutItemNodePtrnIDName;
	}

	public int getLoutItemPtrnIDName() {
		return loutItemPtrnIDName;
	}

	public void setLoutItemPtrnIDName(int loutItemPtrnIDName) {
		this.loutItemPtrnIDName = loutItemPtrnIDName;
	}

	public String getCnvsnRsultItemPathName() {
		return cnvsnRsultItemPathName;
	}

	public void setCnvsnRsultItemPathName(String cnvsnRsultItemPathName) {
		this.cnvsnRsultItemPathName = cnvsnRsultItemPathName;
	}

	public String getCnvsnCmdName() {
		return cnvsnCmdName;
	}

	public void setCnvsnCmdName(String cnvsnCmdName) {
		this.cnvsnCmdName = cnvsnCmdName;
	}

	public String getCnvsnItemBascVal() {
		return cnvsnItemBascVal;
	}

	public void setCnvsnItemBascVal(String cnvsnItemBascVal) {
		this.cnvsnItemBascVal = cnvsnItemBascVal;
	}

	public int getCnvsnItemSerno() {
		return cnvsnItemSerno;
	}

	public void setCnvsnItemSerno(int cnvsnItemSerno) {
		this.cnvsnItemSerno = cnvsnItemSerno;
	}

	public String getLoutName() {
		return loutName;
	}

	public void setLoutName(String loutName) {
		this.loutName = loutName;
	}

	public String getSourcRsultDstcd() {
		return sourcRsultDstcd;
	}

	public void setSourcRsultDstcd(String sourcRsultDstcd) {
		this.sourcRsultDstcd = sourcRsultDstcd;
	}

	public String getCnvsnName() {
		return cnvsnName;
	}

	public void setCnvsnName(String cnvsnName) {
		this.cnvsnName = cnvsnName;
	}

	public String getCnvsnDesc() {
		return cnvsnDesc;
	}

	public void setCnvsnDesc(String cnvsnDesc) {
		this.cnvsnDesc = cnvsnDesc;
	}

	public String getLayoutType() {
		return layoutType;
	}

	public void setLayoutType(String layoutType) {
		this.layoutType = layoutType;
	}

	/* (non-Javadoc)
     * @see com.eactive.eai.rms.manage.serviceinfo.vo.PersistentVo#getSchemaId()
     */
    public String getSchemaId() {
        return DataSourceContextHolder.getDataSourceType().getSchema();
    }

    /* (non-Javadoc)
     * @see com.eactive.eai.rms.manage.serviceinfo.vo.PersistentVo#getTableName()
     */
    public String getTableName() {
        return "TSEAITR01";
    }

	public String getEaiBzwkDstcd() {
		return eaiBzwkDstcd;
	}

	public void setEaiBzwkDstcd(String eaiBzwkDstcd) {
	    if( eaiBzwkDstcd != null )
	        this.eaiBzwkDstcd = eaiBzwkDstcd.trim();
	}

	public String getRefMsgIDNoStr() {
		return refMsgIDNoStr;
	}

	public void setRefMsgIDNoStr(String refMsgIDNoStr) {
		this.refMsgIDNoStr = refMsgIDNoStr;
	}

	public String getCreateName() {
		return createName;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public String getUpdateName() {
		return updateName;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public int getLoutItemMinOccurNoitm() {
		return loutItemMinOccurNoitm;
	}

	public void setLoutItemMinOccurNoitm(int loutItemMinOccurNoitm) {
		this.loutItemMinOccurNoitm = loutItemMinOccurNoitm;
	}

	public int getLoutItemMaxOccurNoitm() {
		return loutItemMaxOccurNoitm;
	}

	public void setLoutItemMaxOccurNoitm(int loutItemMaxOccurNoitm) {
		this.loutItemMaxOccurNoitm = loutItemMaxOccurNoitm;
	}

}
